commit:     c72ca9f2512745e4d6c8538976a85e95ac2f71af
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  8 17:05:04 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Thu Feb  8 17:06:46 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c72ca9f2

mail-client/etpan-ng: Fix some EAPI problems.

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 mail-client/etpan-ng/etpan-ng-0.7.1-r1.ebuild | 19 +++++++------------
 1 file changed, 7 insertions(+), 12 deletions(-)

diff --git a/mail-client/etpan-ng/etpan-ng-0.7.1-r1.ebuild 
b/mail-client/etpan-ng/etpan-ng-0.7.1-r1.ebuild
index 2e019322b84..507b0eabece 100644
--- a/mail-client/etpan-ng/etpan-ng-0.7.1-r1.ebuild
+++ b/mail-client/etpan-ng/etpan-ng-0.7.1-r1.ebuild
@@ -21,22 +21,17 @@ PATCHES=(
        "${FILESDIR}"/${P}-as-needed.patch
        "${FILESDIR}"/${P}-tinfo.patch
 )
+DOCS=(
+       Changelog NEWS README TODO contrib/etpan-make-vtree.pl doc/CONFIG
+       doc/INTERNAL
+)
 
 src_prepare() {
        default
+       sed -i -e "s:@bindir@:${D}/@bindir@:" src/Makefile.in || die
        eautoreconf
 }
 
-src_compile() {
-       sed -i -e "s:@bindir@:${D}/@bindir@:" src/Makefile.in
-
-       econf \
-               `use_enable debug` \
-                       || die "econf failed"
-       emake || die "emake failed"
-}
-
-src_install() {
-       make DESTDIR="${D}" install || die
-       dodoc Changelog NEWS README TODO contrib/etpan-make-vtree.pl doc/*
+src_configure() {
+       econf --disable-debug
 }

Reply via email to